DECLARE SUB FLI (FileName$)
DECLARE SUB GetSpeed ()
DECLARE SUB LoadAsm ()
DECLARE SUB Delay (MiliSeconds%)
DECLARE SUB MemCopy (FromSeg%, FromOff%, ToSeg%, ToOff%, Bytes%)

TYPE FLIHeader
   LengthOfFLIFile AS LONG
   ValidHeaderID AS INTEGER
   NumberOfFrames AS INTEGER
   FLIWidth AS INTEGER
   FLIHeight AS INTEGER
   BitsPerPixel AS INTEGER
   Reserved1 AS INTEGER
   TicksPerFrame AS INTEGER
   Resereved2 AS LONG
   DateTime1 AS LONG
   SerialNumber AS STRING * 4
   DateTime2 AS LONG
   Updater AS STRING * 4
   Xratio AS INTEGER
   Yratio AS INTEGER
   Resereved3 AS STRING * 38
   OffsetOfAnimation1 AS LONG
   OffsetOfAnimation2 AS LONG
   Resereved4 AS STRING * 40
END TYPE

TYPE FrameHeader
   LengthOfFLIFrame AS LONG
   ValidFrameID AS INTEGER
   NumberOfChunks AS INTEGER
   Reserved AS STRING * 8
END TYPE

TYPE ChunkHeader
   LengthOfChunk AS LONG
   ChunkType AS INTEGER
END TYPE

TYPE ColorChunk
   NumberOfPackets AS INTEGER
END TYPE

TYPE ColorPacket
   NumberOfColorsToSkip AS STRING * 1
   NumberOfColorsToChange AS STRING * 1
END TYPE

TYPE LCChunk
   NumberOfSimilarLines AS INTEGER
   NumberOfLinesToChange AS INTEGER
END TYPE

